Bug 235502 - x11-drivers/xf86-input-libinput: Update to 0.28.2
Summary: x11-drivers/xf86-input-libinput: Update to 0.28.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-04 18:14 UTC by pete
Modified: 2019-02-27 12:08 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
Patch to upgrade xf86-input-libinput to 0.28.2 (1.04 KB, patch)
2019-02-04 18:20 UTC, pete
no flags Details | Diff
xorg.conf that attempts to force use of libinput devices (2.75 KB, text/plain)
2019-02-21 03:54 UTC, pete
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description pete 2019-02-04 18:14:52 UTC
A new patch for xf86-input-libinput is available:

https://lists.x.org/archives/xorg-announce/2019-February/002938.html

This contains a bugfix that "will likely trigger in future releases
of libinput".
Comment 1 pete 2019-02-04 18:20:04 UTC
Created attachment 201728 [details]
Patch to upgrade xf86-input-libinput to 0.28.2

proposed patch, testing against 12.0-RELEASE now.
Comment 2 pete 2019-02-21 03:53:39 UTC
I am unable to get this xf86-input-libinput working on 12-STABLE.  

when i link "/usr/local/share/X11/xorg.conf.d/40-libinput.conf" to "/usr/local/etc/X11/xorg.conf.d" as per the manpage the libinput driver is ignored (i do not see any attempt to load the libinput driver) and the default mouse and keyboard drivers are used.

after i craft a custom xorg.conf and attempt to force the use of libinput for my mouse and keyboard i get the following in Xorg.1.log:

[ 83053.218] (II) Using input driver 'libinput' for 'Mouse0'
[ 83053.218] (**) Mouse0: always reports core events
[ 83053.218] (EE) PreInit returned 2 for "Mouse0"
[ 83053.218] (II) UnloadModule: "libinput"
[ 83053.218] (II) Using input driver 'libinput' for 'Keyboard0'
[ 83053.218] (**) Keyboard0: always reports core events
[ 83053.218] (EE) PreInit returned 2 for "Keyboard0"
[ 83053.218] (II) UnloadModule: "libinput"


xorg then proceeds to probe for the default kbd_drv and mouse_drv modules and use those instead.  I'll attach a xorg.conf to this ticket for others to try to reproduce.
Comment 3 pete 2019-02-21 03:54:46 UTC
Created attachment 202214 [details]
xorg.conf that attempts to force use of libinput devices
Comment 4 commit-hook freebsd_committer 2019-02-21 17:33:00 UTC
A commit references this bug:

Author: zeising
Date: Thu Feb 21 17:32:16 UTC 2019
New revision: 493519
URL: https://svnweb.freebsd.org/changeset/ports/493519

Log:
  x11-drivers/xf86-input-libinput: Update to 0.28.2

  Update x11-drivers/xf86-input-libinput to 0.28.2.
  This is a bugfix release.
  Changelog:
  https://lists.x.org/archives/xorg-announce/2019-February/002938.html

  PR:		235502
  Submitted by:	pete@nomadlogic.org
  Sponsored by:	B3 Init (zeising)

Changes:
  head/x11-drivers/xf86-input-libinput/Makefile
  head/x11-drivers/xf86-input-libinput/distinfo
Comment 5 Niclas Zeising freebsd_committer 2019-02-27 12:08:51 UTC
This has been committed, closing.